LOCAL_PATH := $(call my-dir)
include $(CLEAR_VARS)
LOCAL_MODULE := XNetSDKTest

#-g  -D_USRDLL -DOS_ANDROID
LOCAL_CFLAGS +=  -D_USRDLL -DOS_LINUX -fPIC -fpermissive -DMEDIASYN -DUSE_DUMP

#$(TARGET_CPU_ABI)
LIBROOT := $(LOCAL_PATH)/../../../../Lib_Andriod/$(APP_ABI)/ 

#-ldl -llog -lz -lgcc -lGLESv2 -landroid
LOCAL_LDFLAGS += -L$(LIBROOT) -lXNetSDK

PRO_ROOT_INC := $(LOCAL_PATH)/../../../../Include
LOCAL_C_INCLUDES := \
$(LOCAL_PATH)/../.. \
$(PRO_ROOT_INC)/XProtocol/XNetSDK \
$(PRO_ROOT_INC)/XProtocol/XNetSDK/Json_Header \

#-UBANANA -DBANANA=300  -fPIC
LOCAL_CPPFLAGS += -fexceptions 

LOCAL_SRC_FILES :=  ./../XNetSDKTest.cpp
 

include $(BUILD_EXECUTABLE)
